# Best IDE?

Welcome back, holyre. You last visited: Today, 05:44 PM Log Out
Pages (7): « Previous 1 2 3 4 5 6 7 Next »
New Reply

Best IDE?

Garigon •
Newbie
Registered
Posts:
3
Joined:
Dec 2020
Reputation:
0
#31
12-12-2020, 01:35 AM
I'm another VSCodium lover!!
PM Find Rep
Reply Report
shaywasb •
Junior
Registered
Posts:
6
Joined:
Jan 2021
Reputation:
0
#32
01-09-2021, 05:27 AM
Vim for small files and VS Code for larger projects. I can't deal with navigating large project structures in vim, but VS Code handles everything I need perfectly.
PM Find Rep
Reply Report
phantom9 •
Newbie
Registered
Posts:
1
Joined:
Jan 2021
Reputation:
0
#33
01-12-2021, 01:18 AM

> (09-03-2020, 10:39 AM)the Red Wrote:

> > (09-03-2020, 10:34 AM)Tesla_Shock Wrote: I personally use Atom. Compact, and easy to mod. Any other suggestions?
> > I've tried sublime text (Piracy сука) but it wasn't really my speed.

> How about vim or notepad ++?

Lol, very funny
PM Find Rep
Reply Report
LongPig •
CryptBB Admin
Administrator
Posts:
499
Joined:
May 2017
#34
01-12-2021, 06:47 AM

> (01-12-2021, 01:18 AM)phantom9z' Wrote:

> > (09-03-2020, 10:39 AM)the Red Wrote:

> > > (09-03-2020, 10:34 AM)Tesla_Shock Wrote: I personally use Atom. Compact, and easy to mod. Any other suggestions?
> > > I've tried sublime text (Piracy сука) but it wasn't really my speed.

> > How about vim or notepad ++?

> Lol, very funny

notepad++ is very nice i use it with gcc anc gdb commanc line.
Contacts:
XMPP: longpig@jabber.calyxinstitute.org
XMPP: longpig@cryptbbsfmzv6dq4ec2iv6ravrw5ohgmklfagqhtvkgiaknvte5fylqd.onion
PM Website Find Rep
Reply Report
eVeeVandetta •
Member
Registered
Posts:
25
Joined:
Jan 2021
Reputation:
1
#35
01-14-2021, 10:31 PM
Go Jetbrains.
Dump some bucks on a monthly basis and get the full suite.
You get prime IDE's for most languages, a sh|tload of free plugins, and a kickass DB management tool that covers ms sql to mongodb and everything in between.
It costs less than smoking or drinking for a month.
By far the best platform.
Languages supported is pretty much everything. C, C++, java, python, pearl, php, .net etc... It really covers them all
PM Find Rep
Reply Report
DarkWaver •
Newbie
Registered
Posts:
3
Joined:
Jan 2021
Reputation:
0
#36
01-14-2021, 11:17 PM

> (09-03-2020, 11:15 AM)Hackersploit178 Wrote:

> > (09-03-2020, 10:34 AM)Tesla_Shock Wrote: I personally use Atom. Compact, and easy to mod. Any other suggestions?
> > I've tried sublime text (Piracy сука) but it wasn't really my speed.

> Visual Studio Code is one of the most popular source code editor used by the programmers. It's fast it's lightweight and it's powerful too

VSCode is less secure right? regarding to privacy? I love it personally in my daily life... only in Qubes or Tails hmm.. What do you think ?

> (01-12-2021, 01:18 AM)phantom9 Wrote:

> > (09-03-2020, 10:39 AM)the Red Wrote:

> > > (09-03-2020, 10:34 AM)Tesla_Shock Wrote: I personally use Atom. Compact, and easy to mod. Any other suggestions?
> > > I've tried sublime text (Piracy сука) but it wasn't really my speed.

> > How about vim or notepad ++?

> Lol, very funny

Which version are you using? Notepad++ 7.9.2?
I worked with notepad and vb8 old school yea, for my stubs... compiling things..
PM Find Rep
Reply Report
cryptonoob •
Junior
Member
Posts:
18
Joined:
Jan 2021
Reputation:
0
#37
01-17-2021, 09:15 PM
There is no best IDE, it is just a matter of taste and habit.
vim (or neovim) is my favorite
It is very versatile and customizable
It can run on an android phone inside termux or inside a chroot.
And according to the church of Emacs, it is the editor of the beast
I have also make a try with emac but since I have already learn vim I never tamed him.
Also I have trying a lot of editor like pycharm, code::block, visualstudio, eclipse, etc.. but I always go back to vim
PM Find Rep
Reply Report
DarthPeter •
Member
Member
Posts:
31
Joined:
Dec 2020
Reputation:
1
#38
01-19-2021, 11:21 PM
I recently discovered dev-c++ and its been doing a really good job for me.
It is a good compromise between full featured and light weight.
It is definitely more than a text editor but still is almost as light.
Help me rebuild the death star! : bc1q5a4gfn569l20wq6dsxj5ex3px6p3q9n64u23ky
PM Find Rep
Reply Report
yak •
Member
Member
Posts:
28
Joined:
Dec 2020
Reputation:
0
#39
01-31-2021, 06:33 PM
Honestly, I use neovim mostly but sometimes while I'm on Windows I use SciTE which is really lightweight.
PM Find Rep
Reply Report
nightsh3ll •
Newbie
Registered
Posts:
2
Joined:
Feb 2021
Reputation:
0
#40
02-20-2021, 12:13 PM
I personally use VS Code as its lightweight and easy to use. Sometimes i use sublime which can be handy in some situations
PM Find Rep
Reply Report

Pages (7): « Previous 1 2 3 4 5 6 7 Next »
// $(".author_avatar img").error(function () { $(this).unbind("error").closest('.author_avatar').remove(); });